> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corebanq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List personas

> Retrieve all accessible personas



## OpenAPI

````yaml get /v1/personas
openapi: 3.0.0
info:
  title: Personas API
  version: 1.0.0
  description: API for managing personal and organizational identities
servers: []
security:
  - bearerAuth: []
tags:
  - name: Personal Identity
    description: Personal identity management operations
  - name: User-Persona
    description: User-persona relationship operations
  - name: Persona Links
    description: Persona linking operations
paths:
  /v1/personas:
    get:
      tags:
        - Personal Identity
      summary: List personas
      description: Retrieve all accessible personas
      responses:
        '200':
          description: List of personas
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Persona'
components:
  schemas:
    Persona:
      allOf:
        - $ref: '#/components/schemas/PersonaData'
        - type: object
          properties:
            id:
              type: string
              format: uuid
            active:
              type: boolean
            metadata:
              type: object
              additionalProperties: true
            created_at:
              type: string
              format: date-time
            created_by:
              type: string
              format: uuid
            modified_at:
              type: string
              format: date-time
            modified_by:
              type: string
              format: uuid
    PersonaData:
      type: object
      required:
        - first_name
        - last_name
        - date_of_birth
      properties:
        first_name:
          type: string
          maxLength: 100
        last_name:
          type: string
          maxLength: 100
        date_of_birth:
          type: string
          format: date
        date_of_death:
          type: string
          format: date
          nullable: true
        nationality:
          type: string
          pattern: ^[A-Z]{3}$
        hash_id:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````